Package org.silverpeas.components.websites.model

## Class SiteDetailBuilder

- java.lang.Object
- - org.silverpeas.components.websites.model.SiteDetailBuilder

-     public class SiteDetailBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SiteDetailBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SiteDetail` | `createSiteDetail()` |
    `SiteDetailBuilder` | `setApplicationId​(String applicationId)` |
    `SiteDetailBuilder` | `setCreatorId​(String creatorId)` |
    `SiteDetailBuilder` | `setDate​(String date)` |
    `SiteDetailBuilder` | `setDescription​(String description)` |
    `SiteDetailBuilder` | `setName​(String name)` |
    `SiteDetailBuilder` | `setPage​(String page)` |
    `SiteDetailBuilder` | `setPopup​(int popup)` |
    `SiteDetailBuilder` | `setSiteId​(String siteId)` |
    `SiteDetailBuilder` | `setState​(int state)` |
    `SiteDetailBuilder` | `setType​(int type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiteDetailBuilder

          public SiteDetailBuilder()

  - ### Method Detail

    - #### setSiteId

          public SiteDetailBuilder setSiteId​(String siteId)

    - #### setApplicationId

          public SiteDetailBuilder setApplicationId​(String applicationId)

    - #### setName

          public SiteDetailBuilder setName​(String name)

    - #### setDescription

          public SiteDetailBuilder setDescription​(String description)

    - #### setPage

          public SiteDetailBuilder setPage​(String page)

    - #### setType

          public SiteDetailBuilder setType​(int type)

    - #### setCreatorId

          public SiteDetailBuilder setCreatorId​(String creatorId)

    - #### setDate

          public SiteDetailBuilder setDate​(String date)

    - #### setState

          public SiteDetailBuilder setState​(int state)

    - #### setPopup

          public SiteDetailBuilder setPopup​(int popup)

    - #### createSiteDetail

          public SiteDetail createSiteDetail()